Bug 763674 - (GLUSTER-1942) cli: loose parsing of confirmation answer
cli: loose parsing of confirmation answer
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
All Linux
low Severity low
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-13 07:08 EDT by Csaba Henk
Modified: 2013-08-06 18:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Csaba Henk 2010-10-13 04:09:05 EDT
Vijay, Junaid told he'll take care of it.
Comment 1 Csaba Henk 2010-10-13 07:08:33 EDT
# gluster volume stop pop
Stopping volume will make its data inaccessible. Do you want to Continue? (y/n) yay, no
Stopping volume pop has been successful
Comment 2 Anand Avati 2010-10-26 03:01:54 EDT
PATCH: http://patches.gluster.com/patch/5499 in master (takes either 'y' or 'yes' and 'n' or 'no' for stop volume, delete volume and remove-brick)
Comment 3 Anush Shetty 2010-11-10 21:50:31 EST
Suppose I delete  a volume without stopping it,

root@pitta:~# /gluster/git/sbin/gluster volume delete nfstest
Deleting volume will erase all information about the volume.Do you want to continue? (y/n) yes
Deleting volume nfstest has been unsuccessful
Deleting Volume nfstest failed

It should say that the a volume should be stopped first and then deleted again.

Note You need to log in before you can comment on or make changes to this bug.